# Swagger Codegen Test Harness

## Overview
This project is a test harness for the swagger codegen module.
As per a recent article on the OAI user forums, I recently created a new OpenAPI project using YAML and generated a client using codegen module. As per some of the advice on this and other forums, I subsequently split my spec into several files and used JSON pointer references to link them. However, I noticed that when using codegen to generate Java client classes there are a few classes missing, namely those that come from a different file and that are referenced using the said JSON pointers.

## Build Project
To build this project use the following command:
~~~~
    $ ./gradlew swagger build
~~~~

HINT: Look for a class called Link.java or NameValuePair.java (both missing).
